Name:           abi-dumper
Version:        0.99.7
Release:        1%{?dist}
Summary:        Tool to dump ABI of an ELF object containing DWARF debug info

License:        GPLv2
URL:            http://github.com/lvc/abi-dumper/
# Github source
# https://github.com/lvc/%%{name}/archive/%%{version}.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  txt2man
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
A tool to dump ABI of an ELF object containing DWARF debug info.

The tool is intended to be used with ABI Compliance Checker tool for tracking
ABI changes of a C/C++ library or kernel module.

%prep
%setup -q


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_prefix}
%{__perl} Makefile.pl -install --prefix=%{buildroot}%{_prefix}

chmod 0755 %{buildroot}%{_bindir}/%{name}

# Create manpage
mkdir -p %{buildroot}%{_mandir}/man1
%{__perl} abi-dumper.pl --help | sed "s|:$||g" | \
  txt2man -t ABI-DUMPER -s 1 -v "User Commands" -r "ABI Dumper %{version}" > \
  %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Oct 27 2013 Richard Shaw <hobbes1069@gmail.com> - 0.99.7-1
- Update to latest upstream release.

* Wed Sep 18 2013 Richard Shaw <hobbes1069@gmail.com> - 0.99.6-1
- Update to latest upstream release.

* Thu Aug  8 2013 Richard Shaw <hobbes1069@gmail.com> - 0.99.5-1
- Update to latest upstream release.

* Wed Jul 31 2013 Richard Shaw <hobbes1069@gmail.com> - 0.99.1-1
- Update to latest upstream release with reduced memory usage.

* Fri Jul 19 2013 Richard Shaw <hobbes1069@gmail.com> - 0.99-1
- Update to latest upstream release.

* Wed Jul  3 2013 Richard Shaw <hobbes1069@gmail.com> - 0.98-1
- Initial packaging.
